from vcCommand import *
app = getApplication()

def OnStart():
  if app.messageBox("This action is irreversible and frames are lost.\nContinue?", "Merge Full Tree", 1, 2) == 1: return
  if app.CurrentContext.Id != 'Author':
    print 'Command available only in modeling context.'
    return
  node = app.CurrentContext.ActiveNode
  feas_before = node.RootFeature.Children
  merged = node.RootFeature.createFeature(VC_GEOMETRY, 'merged_geometry')
  node.Geometry.moveGeometrySets( merged.Geometry )
  for f in feas_before: f.delete()
  node.rebuild()
  app.render()

addState( None )

